# Contract Approval

POST /partner/v2/shops/:shop_uuid/contracts/:contract_uuid/merchant_approval

If the flow is configured to request merchant approval, the e-shop will receive the callback informing that the payment session has received status granted. This means that the credit has been approved by Inbank.

To approve the contract, the e-shop first needs to perform the GET /pos_sessions request, which, among other parameters, returns the credit_contract_uuid. This identifier can then be used to approve the credit contract.

The request does not require any parameters to be passed in its body.

Endpoint: POST /partner/v2/shops/{shop_uuid}/contracts/{contract_uuid}/merchant_approval
Security: bearerAuth

## Path parameters:

  - `shop_uuid` (string, required)
    Example: "a93f1f44-d5dd-4469-bfcc-c1de9e969213"

  - `contract_uuid` (string, required)
    Example: "788ec8c4-c497-470b-8505-2303f151d427"

## Response 401 fields (application/json):

  - `message` (string)
    Unauthorized
    Example: "unauthorized"

## Response 403 fields (application/json):

  - `message` (string)
    Unauthorized access
    Example: "User is not authorized to access this resource with an explicit deny"

## Response 404 fields (application/json):

  - `message` (string)
    Not Found
    Example: "not_found"

## Response 422 fields (application/json):

  - `message` (string)
    Unprocessable Entity

## Response 500 fields (application/json):

  - `message` (string)
    Internal server error
    Example: "internal_server_error"


## Response 204 fields
